diff --git a/src/odbc/unittests/transaction2.c b/src/odbc/unittests/transaction2.c
index a59b7d7..db37d45 100644
--- a/src/odbc/unittests/transaction2.c
+++ b/src/odbc/unittests/transaction2.c
@@ -3,7 +3,7 @@
 
 /* Test transaction types */
 
-static char software_version[] = "$Id: transaction2.c,v 1.9 2010/03/02 15:07:00 freddy77 Exp $";
+static char software_version[] = "$Id: transaction2.c,v 1.10 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void
@@ -11,7 +11,7 @@ ReadErrorConn(void)
 {
 	memset(odbc_err, 0, sizeof(odbc_err));
 	memset(odbc_sqlstate, 0, sizeof(odbc_sqlstate));
-	CHKGetDiagRec(SQL_HANDLE_DBC, Connection, 1, (SQLCHAR *) odbc_sqlstate, NULL, (SQLCHAR *) odbc_err, sizeof(odbc_err), NULL, "SI");
+	CHKGetDiagRec(SQL_HANDLE_DBC, odbc_conn, 1, (SQLCHAR *) odbc_sqlstate, NULL, (SQLCHAR *) odbc_err, sizeof(odbc_err), NULL, "SI");
 	printf("Message: '%s' %s\n", odbc_sqlstate, odbc_err);
 }
 
@@ -24,11 +24,11 @@ AutoCommit(int onoff)
 static void
 EndTransaction(SQLSMALLINT type)
 {
-	CHKEndTran(SQL_HANDLE_DBC, Connection, type, "S");
+	CHKEndTran(SQL_HANDLE_DBC, odbc_conn, type, "S");
 }
 
 #define SWAP(t,a,b) do { t xyz = a; a = b; b = xyz; } while(0)
-#define SWAP_CONN() do { SWAP(HENV,env,Environment); SWAP(HDBC,dbc,Connection); SWAP(HSTMT,stmt,Statement);} while(0)
+#define SWAP_CONN() do { SWAP(HENV,env,odbc_env); SWAP(HDBC,dbc,odbc_conn); SWAP(HSTMT,stmt,odbc_stmt);} while(0)
 
 static HENV env = SQL_NULL_HENV;
 static HDBC dbc = SQL_NULL_HDBC;
@@ -40,12 +40,12 @@ CheckDirtyRead(void)
 	SQLRETURN RetCode;
 
 	/* transaction 1 try to change a row but not commit */
-	Command("UPDATE test_transaction SET t = 'second' WHERE n = 1");
+	odbc_command("UPDATE test_transaction SET t = 'second' WHERE n = 1");
 
 	SWAP_CONN();
 
 	/* second transaction try to fetch uncommited row */
-	RetCode = Command2("SELECT * FROM test_transaction WHERE t = 'second' AND n = 1", "SE");
+	RetCode = odbc_command2("SELECT * FROM test_transaction WHERE t = 'second' AND n = 1", "SE");
 	if (RetCode == SQL_ERROR) {
 		EndTransaction(SQL_ROLLBACK);
 		SWAP_CONN();
@@ -55,7 +55,7 @@ CheckDirtyRead(void)
 
 	CHKFetch("S");
 	CHKFetch("No");
-	SQLMoreResults(Statement);
+	SQLMoreResults(odbc_stmt);
 	EndTransaction(SQL_ROLLBACK);
 	SWAP_CONN();
 	EndTransaction(SQL_ROLLBACK);
@@ -69,12 +69,12 @@ CheckNonrepeatableRead(void)
 
 	/* transaction 2 read a row */
 	SWAP_CONN();
-	Command("SELECT * FROM test_transaction WHERE t = 'initial' AND n = 1");
-	SQLMoreResults(Statement);
+	odbc_command("SELECT * FROM test_transaction WHERE t = 'initial' AND n = 1");
+	SQLMoreResults(odbc_stmt);
 
 	/* transaction 1 change a row and commit */
 	SWAP_CONN();
-	RetCode = Command2("UPDATE test_transaction SET t = 'second' WHERE n = 1", "SE");
+	RetCode = odbc_command2("UPDATE test_transaction SET t = 'second' WHERE n = 1", "SE");
 	if (RetCode == SQL_ERROR) {
 		EndTransaction(SQL_ROLLBACK);
 		SWAP_CONN();
@@ -87,14 +87,14 @@ CheckNonrepeatableRead(void)
 	SWAP_CONN();
 
 	/* second transaction try to fetch commited row */
-	Command("SELECT * FROM test_transaction WHERE t = 'second' AND n = 1");
+	odbc_command("SELECT * FROM test_transaction WHERE t = 'second' AND n = 1");
 
 	CHKFetch("S");
 	CHKFetch("No");
-	SQLMoreResults(Statement);
+	SQLMoreResults(odbc_stmt);
 	EndTransaction(SQL_ROLLBACK);
 	SWAP_CONN();
-	Command("UPDATE test_transaction SET t = 'initial' WHERE n = 1");
+	odbc_command("UPDATE test_transaction SET t = 'initial' WHERE n = 1");
 	EndTransaction(SQL_COMMIT);
 	return 1;
 }
@@ -106,12 +106,12 @@ CheckPhantom(void)
 
 	/* transaction 2 read a row */
 	SWAP_CONN();
-	Command("SELECT * FROM test_transaction WHERE t = 'initial'");
-	SQLMoreResults(Statement);
+	odbc_command("SELECT * FROM test_transaction WHERE t = 'initial'");
+	SQLMoreResults(odbc_stmt);
 
 	/* transaction 1 insert a row that match critera */
 	SWAP_CONN();
-	RetCode = Command2("INSERT INTO test_transaction(n, t) VALUES(2, 'initial')", "SE");
+	RetCode = odbc_command2("INSERT INTO test_transaction(n, t) VALUES(2, 'initial')", "SE");
 	if (RetCode == SQL_ERROR) {
 		EndTransaction(SQL_ROLLBACK);
 		SWAP_CONN();
@@ -124,15 +124,15 @@ CheckPhantom(void)
 	SWAP_CONN();
 
 	/* second transaction try to fetch commited row */
-	Command("SELECT * FROM test_transaction WHERE t = 'initial'");
+	odbc_command("SELECT * FROM test_transaction WHERE t = 'initial'");
 
 	CHKFetch("S");
 	CHKFetch("S");
 	CHKFetch("No");
-	SQLMoreResults(Statement);
+	SQLMoreResults(odbc_stmt);
 	EndTransaction(SQL_ROLLBACK);
 	SWAP_CONN();
-	Command("DELETE test_transaction WHERE n = 2");
+	odbc_command("DELETE test_transaction WHERE n = 2");
 	EndTransaction(SQL_COMMIT);
 	return 1;
 }
@@ -155,7 +155,7 @@ ConnectWithTxn(int txn)
 {
 	global_txn = txn;
 	odbc_set_conn_attr = my_attrs;
-	Connect();
+	odbc_connect();
 	odbc_set_conn_attr = NULL;
 }
 
@@ -167,7 +167,7 @@ Test(int txn, const char *expected)
 
 	SWAP_CONN();
 	if (test_with_connect) {
-		Disconnect();
+		odbc_disconnect();
 		ConnectWithTxn(txn);
 		CHKSetStmtAttr(SQL_ATTR_QUERY_TIMEOUT, (SQLPOINTER) 2, 0, "S");
 	} else {
@@ -195,33 +195,33 @@ Test(int txn, const char *expected)
 int
 main(int argc, char *argv[])
 {
-	use_odbc_version3 = 1;
-	Connect();
+	odbc_use_version3 = 1;
+	odbc_connect();
 
 	/* Invalid argument value */
 	CHKSetConnectAttr(SQL_ATTR_TXN_ISOLATION, int2ptr(SQL_TXN_REPEATABLE_READ | SQL_TXN_READ_COMMITTED), 0, "E");
 	ReadErrorConn();
 	if (strcmp(odbc_sqlstate, "HY024") != 0) {
-		Disconnect();
+		odbc_disconnect();
 		fprintf(stderr, "Unexpected success\n");
 		return 1;
 	}
 
 	/* here we can't use temporary table cause we use two connection */
-	Command("IF OBJECT_ID('test_transaction') IS NOT NULL DROP TABLE test_transaction");
-	Command("CREATE TABLE test_transaction(n NUMERIC(18,0) PRIMARY KEY, t VARCHAR(30))");
+	odbc_command("IF OBJECT_ID('test_transaction') IS NOT NULL DROP TABLE test_transaction");
+	odbc_command("CREATE TABLE test_transaction(n NUMERIC(18,0) PRIMARY KEY, t VARCHAR(30))");
 
 	CHKSetStmtAttr(SQL_ATTR_QUERY_TIMEOUT, (SQLPOINTER) 2, 0, "S");
 
 	AutoCommit(SQL_AUTOCOMMIT_OFF);
-	Command("INSERT INTO test_transaction(n, t) VALUES(1, 'initial')");
+	odbc_command("INSERT INTO test_transaction(n, t) VALUES(1, 'initial')");
 
 #ifdef ENABLE_DEVELOPING
 	/* test setting with active transaction "Operation invalid at this time" */
 	CHKSetConnectAttr(SQL_ATTR_TXN_ISOLATION, int2ptr(SQL_TXN_REPEATABLE_READ), 0, "E");
 	ReadErrorConn();
 	if (strcmp(odbc_sqlstate, "HY011") != 0) {
-		Disconnect();
+		odbc_disconnect();
 		fprintf(stderr, "Unexpected success\n");
 		return 1;
 	}
@@ -229,18 +229,18 @@ main(int argc, char *argv[])
 
 	EndTransaction(SQL_COMMIT);
 
-	Command("SELECT * FROM test_transaction");
+	odbc_command("SELECT * FROM test_transaction");
 
 	/* test setting with pending data */
 	CHKSetConnectAttr(SQL_ATTR_TXN_ISOLATION, int2ptr(SQL_TXN_REPEATABLE_READ), 0, "E");
 	ReadErrorConn();
 	if (strcmp(odbc_sqlstate, "HY011") != 0) {
-		Disconnect();
+		odbc_disconnect();
 		fprintf(stderr, "Unexpected success\n");
 		return 1;
 	}
 
-	SQLMoreResults(Statement);
+	SQLMoreResults(odbc_stmt);
 
 	EndTransaction(SQL_COMMIT);
 
@@ -248,7 +248,7 @@ main(int argc, char *argv[])
 	/* save this connection and do another */
 	SWAP_CONN();
 
-	Connect();
+	odbc_connect();
 
 	CHKSetStmtAttr(SQL_ATTR_QUERY_TIMEOUT, (SQLPOINTER) 2, 0, "S");
 	AutoCommit(SQL_AUTOCOMMIT_OFF);
@@ -258,7 +258,7 @@ main(int argc, char *argv[])
 	for (test_with_connect = 0; test_with_connect <= 1; ++test_with_connect) {
 		Test(SQL_TXN_READ_UNCOMMITTED, "dirty 1 non repeatable 1 phantom 1");
 		Test(SQL_TXN_READ_COMMITTED, "dirty 0 non repeatable 1 phantom 1");
-		if (db_is_microsoft()) {
+		if (odbc_db_is_microsoft()) {
 			Test(SQL_TXN_REPEATABLE_READ, "dirty 0 non repeatable 0 phantom 1");
 		} else {
 			hide_error = 1;
@@ -268,7 +268,7 @@ main(int argc, char *argv[])
 		Test(SQL_TXN_SERIALIZABLE, "dirty 0 non repeatable 0 phantom 0");
 	}
 
-	Disconnect();
+	odbc_disconnect();
 
 	SWAP_CONN();
 
@@ -276,8 +276,8 @@ main(int argc, char *argv[])
 
 	/* Sybase do not accept DROP TABLE during a transaction */
 	AutoCommit(SQL_AUTOCOMMIT_ON);
-	Command("DROP TABLE test_transaction");
+	odbc_command("DROP TABLE test_transaction");
 
-	Disconnect();
+	odbc_disconnect();
 	return 0;
 }
diff --git a/src/odbc/unittests/type.c b/src/odbc/unittests/type.c
index e401d09..0c2abc2 100644
--- a/src/odbc/unittests/type.c
+++ b/src/odbc/unittests/type.c
@@ -1,7 +1,7 @@
 #include "common.h"
 #include <assert.h>
 
-static char software_version[] = "$Id: type.c,v 1.8 2007/11/26 18:12:31 freddy77 Exp $";
+static char software_version[] = "$Id: type.c,v 1.9 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 struct type
@@ -104,7 +104,7 @@ main(int argc, char **argv)
 	SQLLEN lind;
 	SQLHDESC desc;
 
-	Connect();
+	odbc_connect();
 
 	/*
 	 * test setting two time a descriptor
@@ -115,14 +115,14 @@ main(int argc, char **argv)
 	/* test C types */
 	for (p = types; p->name; ++p) {
 		if (SQL_SUCCEEDED
-		    (SQLBindParameter(Statement, 1, SQL_PARAM_INPUT, p->type, SQL_VARCHAR, (SQLUINTEGER) (-1), 0, buf, 16, &lind))) {
+		    (SQLBindParameter(odbc_stmt, 1, SQL_PARAM_INPUT, p->type, SQL_VARCHAR, (SQLUINTEGER) (-1), 0, buf, 16, &lind))) {
 			SQLSMALLINT concise_type, type, code;
 			SQLHDESC desc;
 
 			concise_type = type = code = 0;
 
 			/* get APD */
-			SQLGetStmtAttr(Statement, SQL_ATTR_APP_PARAM_DESC, &desc, sizeof(desc), &ind);
+			SQLGetStmtAttr(odbc_stmt, SQL_ATTR_APP_PARAM_DESC, &desc, sizeof(desc), &ind);
 
 			SQLGetDescField(desc, 1, SQL_DESC_TYPE, &type, sizeof(SQLSMALLINT), &ind);
 			SQLGetDescField(desc, 1, SQL_DESC_CONCISE_TYPE, &concise_type, sizeof(SQLSMALLINT), &ind);
@@ -139,7 +139,7 @@ main(int argc, char **argv)
 			fprintf(stderr, "Error setting type %d (%s)\n", (int) p->type, p->name);
 
 			concise_type = p->type;
-			SQLGetStmtAttr(Statement, SQL_ATTR_APP_PARAM_DESC, &desc, sizeof(desc), &ind);
+			SQLGetStmtAttr(odbc_stmt, SQL_ATTR_APP_PARAM_DESC, &desc, sizeof(desc), &ind);
 			if (SQL_SUCCEEDED
 			    (SQLSetDescField(desc, 1, SQL_DESC_CONCISE_TYPE, int2ptr(concise_type), sizeof(SQLSMALLINT))))
 			{
@@ -159,7 +159,7 @@ main(int argc, char **argv)
 	printf("\n\n");
 
 	/* test SQL types */
-	SQLGetStmtAttr(Statement, SQL_ATTR_IMP_PARAM_DESC, &desc, sizeof(desc), &ind);
+	SQLGetStmtAttr(odbc_stmt, SQL_ATTR_IMP_PARAM_DESC, &desc, sizeof(desc), &ind);
 	for (p = types; p->name; ++p) {
 		SQLSMALLINT concise_type = p->type;
 
@@ -181,7 +181,7 @@ main(int argc, char **argv)
 		}
 	}
 
-	Disconnect();
+	odbc_disconnect();
 
 	return result;
 }
diff --git a/src/odbc/unittests/typeinfo.c b/src/odbc/unittests/typeinfo.c
index 7a28c61..223cb7e 100644
--- a/src/odbc/unittests/typeinfo.c
+++ b/src/odbc/unittests/typeinfo.c
@@ -1,6 +1,6 @@
 #include "common.h"
 
-static char software_version[] = "$Id: typeinfo.c,v 1.13 2009/03/17 09:05:47 freddy77 Exp $";
+static char software_version[] = "$Id: typeinfo.c,v 1.14 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void
@@ -25,14 +25,14 @@ TestName(int index, const char *expected_name)
 
 	/* retrieve with SQLColAttribute */
 	CHKColAttribute(index, SQL_DESC_NAME, name, sizeof(name), &len, NULL, "S");
-	if (db_is_microsoft())
+	if (odbc_db_is_microsoft())
 		NAME_TEST;
 	CHKColAttribute(index, SQL_DESC_LABEL, name, sizeof(name), &len, NULL, "S");
 	NAME_TEST;
 }
 
 static void
-FlushStatement(void)
+Flushodbc_stmt(void)
 {
 	while (CHKFetch("SNo") == SQL_SUCCESS)
 		;
@@ -57,27 +57,27 @@ CheckType(SQLSMALLINT type, SQLSMALLINT expected, const char *string_type, int l
 	case SQL_SUCCESS:
 		if (expected == SQL_UNKNOWN_TYPE) {
 			fprintf(stderr, "Data not expected (type %d - %s) line %d\n", type, string_type, line);
-			Disconnect();
+			odbc_disconnect();
 			exit(1);
 		}
 		if (expected != out_type) {
 			fprintf(stderr, "Got type %d expected %d. Input type %d - %s line %d\n", out_type, expected, type, string_type, line);
-			Disconnect();
+			odbc_disconnect();
 			exit(1);
 		}
 		break;
 	case SQL_NO_DATA:
 		if (expected != SQL_UNKNOWN_TYPE) {
 			fprintf(stderr, "Data expected. Inpute type %d - %s line %d\n", type, string_type, line);
-			Disconnect();
+			odbc_disconnect();
 			exit(1);
 		}
 		break;
 	}
 
-	SQLFreeStmt(Statement, SQL_UNBIND);
+	SQLFreeStmt(odbc_stmt, SQL_UNBIND);
 
-	FlushStatement();
+	Flushodbc_stmt();
 }
 
 static void
@@ -90,15 +90,15 @@ DoTest(int version3)
 	int date_time_supported = 0;
 	int name_version3;
 
-	use_odbc_version3 = version3;
+	odbc_use_version3 = version3;
 	name_version3 = version3;
-	Connect();
+	odbc_connect();
 
 	printf("Using ODBC version %d\n", version3 ? 3 : 2);
 
 	/* test column name */
 	/* MS ODBC use always ODBC 3 names even in ODBC 2 mode */
-	if (!driver_is_freetds())
+	if (!odbc_driver_is_freetds())
 		name_version3 = 1;
 	CHKGetTypeInfo(SQL_ALL_TYPES, "SI");
 	TestName(1, "TYPE_NAME");
@@ -120,16 +120,16 @@ DoTest(int version3)
 	/* TODO test these column for ODBC 3 */
 	/* ODBC 3.0 SQL_DATA_TYPE SQL_DATETIME_SUB NUM_PREC_RADIX INTERVAL_PRECISION */
 
-	FlushStatement();
+	Flushodbc_stmt();
 
 	/* TODO test if SQL_ALL_TYPES returns right numeric type for timestamp */
 
 	/* numeric type for data */
 
 	/* test for date/time support */
-	if (CommandWithResult(Statement, "select cast(getdate() as date)") == SQL_SUCCESS)
+	if (odbc_command_with_result(odbc_stmt, "select cast(getdate() as date)") == SQL_SUCCESS)
 		date_time_supported = 1;
-	SQLCloseCursor(Statement);
+	SQLCloseCursor(odbc_stmt);
 
 #define CHECK_TYPE(in,out) CheckType(in, out, #in, __LINE__)
 
@@ -139,17 +139,17 @@ DoTest(int version3)
 	CHECK_TYPE(SQL_DATE, date_time_supported && !version3 ? SQL_DATE : SQL_UNKNOWN_TYPE);
 	CHECK_TYPE(SQL_TIME, date_time_supported && !version3 ? SQL_TIME : SQL_UNKNOWN_TYPE);
 	/* MS ODBC returns S1004 (HY004), TODO support it */
-	if (driver_is_freetds() || version3) {
+	if (odbc_driver_is_freetds() || version3) {
 		CHECK_TYPE(SQL_TYPE_DATE, date_time_supported && version3 ? SQL_TYPE_DATE : SQL_UNKNOWN_TYPE);
 		CHECK_TYPE(SQL_TYPE_TIME, date_time_supported && version3 ? SQL_TYPE_TIME : SQL_UNKNOWN_TYPE);
 	}
 	/* TODO MS ODBC handle SQL_TIMESTAMP even for ODBC 3 */
-	if (driver_is_freetds())
+	if (odbc_driver_is_freetds())
 		CHECK_TYPE(SQL_TIMESTAMP, version3 ? SQL_UNKNOWN_TYPE : SQL_TIMESTAMP);
 	else
 		CHECK_TYPE(SQL_TIMESTAMP, version3 ? SQL_TYPE_TIMESTAMP : SQL_TIMESTAMP);
 	/* MS ODBC returns S1004 (HY004), TODO support it */
-	if (driver_is_freetds() || version3) {
+	if (odbc_driver_is_freetds() || version3) {
 		CHECK_TYPE(SQL_TYPE_TIMESTAMP, version3 ? SQL_TYPE_TIMESTAMP : SQL_UNKNOWN_TYPE);
 	}
 
@@ -166,10 +166,10 @@ DoTest(int version3)
 	CHKBindCol(14, SQL_C_SSHORT, &min_scale, 0, &ind6, "SI");
 	while (CHKFetch("SNo") == SQL_SUCCESS)
 		;
-	SQLFreeStmt(Statement, SQL_UNBIND);
-	FlushStatement();
+	SQLFreeStmt(odbc_stmt, SQL_UNBIND);
+	Flushodbc_stmt();
 
-	Disconnect();
+	odbc_disconnect();
 }
 
 int
diff --git a/src/odbc/unittests/utf8.c b/src/odbc/unittests/utf8.c
index d53c986..ba360b0 100755
--- a/src/odbc/unittests/utf8.c
+++ b/src/odbc/unittests/utf8.c
@@ -1,7 +1,7 @@
 #include "common.h"
 
 /* test binding with UTF-8 encoding */
-static char software_version[] = "$Id: utf8.c,v 1.11 2008/12/03 12:55:52 freddy77 Exp $";
+static char software_version[] = "$Id: utf8.c,v 1.12 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void init_connect(void);
@@ -9,9 +9,9 @@ static void init_connect(void);
 static void
 init_connect(void)
 {
-	CHKAllocEnv(&Environment, "S");
-	SQLSetEnvAttr(Environment, SQL_ATTR_ODBC_VERSION, (SQLPOINTER) (SQL_OV_ODBC3), SQL_IS_UINTEGER);
-	CHKAllocConnect(&Connection, "S");
+	CHKAllocEnv(&odbc_env, "S");
+	SQLSetEnvAttr(odbc_env, SQL_ATTR_ODBC_VERSION, (SQLPOINTER) (SQL_OV_ODBC3), SQL_IS_UINTEGER);
+	CHKAllocConnect(&odbc_conn, "S");
 }
 
 static void
@@ -68,7 +68,7 @@ TestBinding(int minimun)
 	SQLLEN n_len;
 
 	sprintf(tmp, "DELETE FROM %s", table_name);
-	Command(tmp);
+	odbc_command(tmp);
 
 	/* insert with SQLPrepare/SQLBindParameter/SQLExecute */
 	sprintf(tmp, "INSERT INTO %s VALUES(?,?,?)", table_name);
@@ -100,7 +100,7 @@ TestBinding(int minimun)
 		CheckNoRow(tmp);
 	}
 
-	ResetStatement();
+	odbc_reset_statement();
 }
 
 int
@@ -110,37 +110,37 @@ main(int argc, char *argv[])
 	const char * const*p;
 	SQLINTEGER n;
 
-	if (read_login_info())
+	if (odbc_read_login_info())
 		exit(1);
 
 	/* connect string using DSN */
 	init_connect();
-	sprintf(tmp, "DSN=%s;UID=%s;PWD=%s;DATABASE=%s;ClientCharset=UTF-8;", SERVER, USER, PASSWORD, DATABASE);
+	sprintf(tmp, "DSN=%s;UID=%s;PWD=%s;DATABASE=%s;ClientCharset=UTF-8;", odbc_server, odbc_user, odbc_password, odbc_database);
 	CHKDriverConnect(NULL, (SQLCHAR *) tmp, SQL_NTS, (SQLCHAR *) tmp, sizeof(tmp), &len, SQL_DRIVER_NOPROMPT, "SI");
-	if (!driver_is_freetds()) {
-		Disconnect();
+	if (!odbc_driver_is_freetds()) {
+		odbc_disconnect();
 		printf("Driver is not FreeTDS, exiting\n");
 		return 0;
 	}
 
-	if (!db_is_microsoft() || db_version_int() < 0x08000000u) {
-		Disconnect();
+	if (!odbc_db_is_microsoft() || odbc_db_version_int() < 0x08000000u) {
+		odbc_disconnect();
 		printf("Test for MSSQL only\n");
 		return 0;
 	}
 
-	CHKAllocStmt(&Statement, "S");
+	CHKAllocStmt(&odbc_stmt, "S");
 
 	/* create test table */
 	sprintf(tmp, "IF OBJECT_ID(N'%s') IS NOT NULL DROP TABLE %s", table_name, table_name);
-	Command(tmp);
+	odbc_command(tmp);
 	sprintf(tmp, "CREATE TABLE %s (k int, c NCHAR(10), vc NVARCHAR(10))", table_name);
-	Command(tmp);
+	odbc_command(tmp);
 
 	/* insert with INSERT statements */
 	for (n = 1, p = strings; p[0] && p[1]; p += 2, ++n) {
 		sprintf(tmp, "INSERT INTO %s VALUES (%d,N'%s',N'%s')", table_name, (int) n, p[0], p[1]);
-		Command(tmp);
+		odbc_command(tmp);
 	}
 
 	/* check rows */
@@ -155,9 +155,9 @@ main(int argc, char *argv[])
 
 	/* cleanup */
 	sprintf(tmp, "IF OBJECT_ID(N'%s') IS NOT NULL DROP TABLE %s", table_name, table_name);
-	Command(tmp);
+	odbc_command(tmp);
 
-	Disconnect();
+	odbc_disconnect();
 	printf("Done.\n");
 	return 0;
 }
diff --git a/src/odbc/unittests/utf8_2.c b/src/odbc/unittests/utf8_2.c
index 2eb9e33..d04c0dc 100755
--- a/src/odbc/unittests/utf8_2.c
+++ b/src/odbc/unittests/utf8_2.c
@@ -1,7 +1,7 @@
 #include "common.h"
 
 /* test conversion of Hebrew characters (which have shift sequences) */
-static char software_version[] = "$Id: utf8_2.c,v 1.8 2008/11/06 15:56:39 freddy77 Exp $";
+static char software_version[] = "$Id: utf8_2.c,v 1.9 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void init_connect(void);
@@ -9,9 +9,9 @@ static void init_connect(void);
 static void
 init_connect(void)
 {
-	CHKAllocEnv(&Environment, "S");
-	SQLSetEnvAttr(Environment, SQL_ATTR_ODBC_VERSION, (SQLPOINTER) (SQL_OV_ODBC3), SQL_IS_UINTEGER);
-	CHKAllocConnect(&Connection, "S");
+	CHKAllocEnv(&odbc_env, "S");
+	SQLSetEnvAttr(odbc_env, SQL_ATTR_ODBC_VERSION, (SQLPOINTER) (SQL_OV_ODBC3), SQL_IS_UINTEGER);
+	CHKAllocConnect(&odbc_conn, "S");
 }
 
 static const char * const strings[] = {
@@ -41,38 +41,38 @@ main(int argc, char *argv[])
 	const char * const*p;
 	int n;
 
-	if (read_login_info())
+	if (odbc_read_login_info())
 		exit(1);
 
 	/* connect string using DSN */
 	init_connect();
-	sprintf(tmp, "DSN=%s;UID=%s;PWD=%s;DATABASE=%s;ClientCharset=UTF-8;", SERVER, USER, PASSWORD, DATABASE);
+	sprintf(tmp, "DSN=%s;UID=%s;PWD=%s;DATABASE=%s;ClientCharset=UTF-8;", odbc_server, odbc_user, odbc_password, odbc_database);
 	CHKDriverConnect(NULL, (SQLCHAR *) tmp, SQL_NTS, (SQLCHAR *) tmp, sizeof(tmp), &len, SQL_DRIVER_NOPROMPT, "SI");
-	if (!driver_is_freetds()) {
-		Disconnect();
+	if (!odbc_driver_is_freetds()) {
+		odbc_disconnect();
 		printf("Driver is not FreeTDS, exiting\n");
 		return 0;
 	}
 
-	if (!db_is_microsoft() || db_version_int() < 0x08000000u) {
-		Disconnect();
+	if (!odbc_db_is_microsoft() || odbc_db_version_int() < 0x08000000u) {
+		odbc_disconnect();
 		printf("Test for MSSQL only\n");
 		return 0;
 	}
 
-	CHKAllocStmt(&Statement, "S");
+	CHKAllocStmt(&odbc_stmt, "S");
 
 	/* create test table */
-	Command("CREATE TABLE #tmpHebrew (i INT, v VARCHAR(10) COLLATE Hebrew_CI_AI)");
+	odbc_command("CREATE TABLE #tmpHebrew (i INT, v VARCHAR(10) COLLATE Hebrew_CI_AI)");
 
 	/* insert with INSERT statements */
 	for (n = 0, p = strings_hex; p[n]; ++n) {
 		sprintf(tmp, "INSERT INTO #tmpHebrew VALUES(%d, CAST(%s AS NVARCHAR(10)))", n+1, p[n]);
-		Command(tmp);
+		odbc_command(tmp);
 	}
 
 	/* test conversions in libTDS */
-	Command("SELECT v FROM #tmpHebrew");
+	odbc_command("SELECT v FROM #tmpHebrew");
 
 	/* insert with SQLPrepare/SQLBindParameter/SQLExecute */
 	CHKBindCol(1, SQL_C_CHAR, out, sizeof(out), &n_len, "S");
@@ -80,12 +80,12 @@ main(int argc, char *argv[])
 		CHKFetch("S");
 		if (n_len != strlen(p[n]) || strcmp(p[n], out) != 0) {
 			fprintf(stderr, "Wrong row %d %s\n", n, out);
-			Disconnect();
+			odbc_disconnect();
 			return 1;
 		}
 	}
 
-	Disconnect();
+	odbc_disconnect();
 	printf("Done.\n");
 	return 0;
 }
diff --git a/src/odbc/unittests/warning.c b/src/odbc/unittests/warning.c
index a7ce5e6..99456b4 100644
--- a/src/odbc/unittests/warning.c
+++ b/src/odbc/unittests/warning.c
@@ -14,7 +14,7 @@
  * inside recordset
  * Sybase do not return warning but test works the same
  */
-static char software_version[] = "$Id: warning.c,v 1.9 2008/12/03 12:55:52 freddy77 Exp $";
+static char software_version[] = "$Id: warning.c,v 1.10 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static const char one_null_with_warning[] = "select max(a) as foo from (select convert(int, null) as a) as test";
@@ -44,28 +44,28 @@ Test(const char *query)
 	 * We check for "NO DM" cause unixODBC till 2.2.11 do not read
 	 * errors on SQL_NO_DATA
 	 */
-	if (db_is_microsoft() && tds_no_dm) {
+	if (odbc_db_is_microsoft() && tds_no_dm) {
 		SQLCHAR output[256];
 
-		CHKGetDiagRec(SQL_HANDLE_STMT, Statement, 1, NULL, NULL, output, sizeof(output), NULL, "SI");
+		CHKGetDiagRec(SQL_HANDLE_STMT, odbc_stmt, 1, NULL, NULL, output, sizeof(output), NULL, "SI");
 		printf("Message: %s\n", (char *) output);
 	}
 
-	ResetStatement();
+	odbc_reset_statement();
 }
 
 int
 main(void)
 {
-	Connect();
+	odbc_connect();
 
-	Command("CREATE TABLE #warning(name varchar(20), value int null)");
-	Command("INSERT INTO #warning VALUES('a', NULL)");
+	odbc_command("CREATE TABLE #warning(name varchar(20), value int null)");
+	odbc_command("INSERT INTO #warning VALUES('a', NULL)");
 
 	Test(one_null_with_warning);
 	Test("SELECT SUM(value) FROM #warning");
 
-	Disconnect();
+	odbc_disconnect();
 
 	printf("Done.\n");
 	return 0;
diff --git a/src/odbc/unittests/wchar.c b/src/odbc/unittests/wchar.c
index a4f5eef..f31bfb4 100644
--- a/src/odbc/unittests/wchar.c
+++ b/src/odbc/unittests/wchar.c
@@ -2,7 +2,7 @@
 
 /* test SQL_C_DEFAULT with NCHAR type */
 
-static char software_version[] = "$Id: wchar.c,v 1.3 2008/11/04 14:46:18 freddy77 Exp $";
+static char software_version[] = "$Id: wchar.c,v 1.4 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 int
@@ -12,20 +12,20 @@ main(int argc, char *argv[])
 	SQLLEN ind;
 	int failed = 0;
 
-	use_odbc_version3 = 1;
-	Connect();
+	odbc_use_version3 = 1;
+	odbc_connect();
 
 	CHKBindCol(1, SQL_C_DEFAULT, buf, 100, &ind, "S");
-	Command("SELECT CONVERT(NCHAR(10), 'Pippo 123')");
+	odbc_command("SELECT CONVERT(NCHAR(10), 'Pippo 123')");
 
 	/* get data */
 	memset(buf, 0, sizeof(buf));
 	CHKFetch("S");
 
-	SQLMoreResults(Statement);
-	SQLMoreResults(Statement);
+	SQLMoreResults(odbc_stmt);
+	SQLMoreResults(odbc_stmt);
 
-	Disconnect();
+	odbc_disconnect();
 
 	if (strcmp(buf, "Pippo 123 ") != 0) {
 		fprintf(stderr, "Wrong results '%s'\n", buf);

